import sys
from javax.management import ObjectName

def wsadminToList(inStr):
        outList=[]
        if (len(inStr)>0 and inStr[0]=='[' and inStr[-1]==']'):
                tmpList = inStr[1:-1].split(" ")
        else:
                tmpList = inStr.split("\n")  #splits for Windows or Linux
        for item in tmpList:
                item = item.rstrip();        #removes any Windows "\r"
                if (len(item)>0):
                        outList.append(item)
        return outList
#endDef

# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# (C) Copyright IBM Corporation 2005, 2006. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT
#
#  Import Selector Artifacts
#
#  This is a bi-modal script: it can be included in the wsadmin 
#  command invocation like this:
#     wsadmin -lang jython -f importSelectorArtifacts.py c:/artifacts/purchaseorder.zip admin 
#  
#  or the script can be issued remotely using the wsadmin command line:
#     wsadmin -conntype SOAP 
#             -host gbhst6621
#             -lang jython 
#             -f importSelectorArtifacts.py c:/artifacts/purchaseorder.zip admin
#             
#  The script expects two parameters:
#      arg1 - zip file name (e.g. c:/artifacts/purchaseorder.zip)
#      arg2 - user (e.g. admin)
# 
#----------------------------------------------------------------------------------------------------------
#-------------------------------------------------------------------------------
#--- Error Exit codes.
#-------------------------------------------------------------------------------
ZIPFILE_NOT_FOUND = 1
USAGE_ERROR_CODE = 9

#-------------------------------------------------------------------------------
#--- Other constants
#-------------------------------------------------------------------------------
COMPONENT = "Selector"

#----------------------------------------------------------------------------------------------------------
# Internal switches:
#
# debugOutFlag   {1 = full debug trace output; 
#                 0 = no sysout output unless error and nlsEnabledFlag is off}
#
# nlsEnabledFlag {1 = NLS enabled, default, requires customization.jar to be present in <washome>\lib;
#                 0 = sysout will be used for errors}
#----------------------------------------------------------------------------------------------------------

# normally, it should be set to 0
debugOutFlag = 0

# set to 1, assumes message files are available
nlsEnabledFlag = 1

#-----------------------------------------------------------------
# Include common code:
# 
# importArtifactsProc
#-----------------------------------------------------------------
global env
importArtifactsProcFilePath = java.lang.System.getProperty("was.install.root") + "/bin/importArtifactsProc.py"
execfile(importArtifactsProcFilePath)

#-------------------------------------------------------------
#-- Proc: printUsage 
#    prints globalized usage message
#-------------------------------------------------------------
def printUsage (  ):
        global nlsEnabledFlag
        if (nlsEnabledFlag == 1):
                printNLSText("CWSTM0020E", ["\nwsadmin -f importSelectorArtifacts.jacl zipfileName user\nwsadmin  -conntype SOAP -host \[hostName\] -f importSelectorArtifacts.jacl zipfileName user"] )
        else:
                print ""
                print ">>> Incorrect parameters given.  Usage: \nwsadmin -f importSelectorArtifacts.jacl zipfileName user\n\nwsadmin -conntype SOAP -host \[hostName\] -f importSelectorArtifacts.jacl  zipfileName user"
                print ""
        #endElse 
#endDef 

#-----------------------------------------------------------------
# Main
#-----------------------------------------------------------------
#IGNORE: package require java

print " "
print "*********** importSelectorArtifacts ---> ******"

if (len(sys.argv) != 2):
        printUsage( )
else:
        debugOut("***---> mainline" )

        zipfileName = sys.argv[0]
        userId = sys.argv[1]

        debugOut("Zipfile name: "+zipfileName )
        debugOut("UserId: "+userId )

        # get reference to SelectorMBean   
        mBean = AdminControl.completeObjectName("type=SelectorMBean,*" )
        mBeanObj = ObjectName( mBean ) 
        debugOut("MBean: "+mBean )

        # import artifacts 
        importArtifacts(mBeanObj, zipfileName, userId )

        debugOut("***<--- mainline" )
        print " "
        print "****** <--- importSelectorArtifacts ***********"
#endElse 
