-- BEGIN COPYRIGHT
-- *************************************************************************
-- Licensed Materials - Property of IBM 
-- 5724-L01, 5655-N53, 5724-I82, 5655-R15
-- (C) Copyright IBM Corporation 2004, 2010. All rights reserved. 
-- US Government Users Restricted Rights - Use, duplication, or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- *************************************************************************
-- END COPYRIGHT

-- *******************************************
-- Drop existing tablespaces
-- *******************************************



-- *******************************************
-- Create tablespaces
-- *******************************************
CREATE TABLESPACE MEDTS
 IN @DB_NAME@
 USING STOGROUP @STOGRP@
 CCSID UNICODE
 SEGSIZE 32
 DEFINE NO
 LOCKSIZE ANY
 BUFFERPOOL @BPTABLE4K@;

CREATE LOB TABLESPACE TICKETTS
 IN @DB_NAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL @BPLOB4K@;

-- *******************************************
-- Create mediatoin table and indexes
-- *******************************************
CREATE TABLE @SCHEMA@.MEDIATION_TICKETS (
	TARGETTICKETID VARCHAR(255) NOT NULL,
	TICKETENTRY BLOB(1G),
	VERSION VARCHAR(255) NOT NULL,
	CONSTRAINT PK_MEDTS PRIMARY KEY (TARGETTICKETID) ) 
IN @DB_NAME@.MEDTS;

CREATE UNIQUE INDEX @SCHEMA@.MEDTICKETS_INDEX_PK 
ON @SCHEMA@.MEDIATION_TICKETS (TARGETTICKETID)
 USING STOGROUP @STOGRP@
 DEFINE NO
 BUFFERPOOL @BPINDEX@
 NOT PADDED;

CREATE AUX TABLE @SCHEMA@.TICKETBLOB
 IN @DB_NAME@.TICKETTS
STORES @SCHEMA@.MEDIATION_TICKETS COLUMN TICKETENTRY; 

CREATE INDEX @SCHEMA@.TICKETBLOB_IDX
 ON @SCHEMA@.TICKETBLOB
 USING STOGROUP @STOGRP@
 BUFFERPOOL @BPINDEX@;
