-- Scriptfile to upgrade schema for Oracle 9i
-- Process this script using SQL*Plus
-- example: sqlplus scott/tiger@mydb @upgradeSchema602_customization.sql
-- or, at the sqlplus prompt, enter
-- SQL> @upgradeSchema602_customization.sql
--

-- *******************************************
-- Create the CUSTPROPERTIES table
-- *******************************************

CREATE TABLE CUSTPROPERTIES
  (PROPERTYID VARCHAR (128) NOT NULL,
   ARTIFACTTNS VARCHAR(250) NOT NULL,
   ARTIFACTNAME VARCHAR(200) NOT NULL,
   ARTIFACTTYPE VARCHAR(50) NOT NULL,
   PNAME VARCHAR(250) NOT NULL,
   PVALUE VARCHAR(250) NOT NULL,
   PTYPE VARCHAR (16) NOT NULL);

ALTER TABLE CUSTPROPERTIES
  ADD CONSTRAINT PK_CUSTPROPERTIES PRIMARY KEY (PROPERTYID);

CREATE INDEX CUSTPROPERTIES_INDEX1 ON CUSTPROPERTIES (
      ARTIFACTTYPE,
      ARTIFACTTNS);  
      
CREATE INDEX CUSTPROPERTIES_INDEX2 ON CUSTPROPERTIES (
      ARTIFACTTYPE,
      ARTIFACTNAME);
  
CREATE INDEX CUSTPROPERTIES_INDEX3 ON CUSTPROPERTIES (
      ARTIFACTTYPE,
      ARTIFACTTNS,
      ARTIFACTNAME);  
      
CREATE INDEX CUSTPROPERTIES_INDEX4 ON CUSTPROPERTIES (
      ARTIFACTTYPE,
      PNAME);      
      
CREATE INDEX CUSTPROPERTIES_INDEX5 ON CUSTPROPERTIES (
      ARTIFACTTYPE,
      ARTIFACTTNS,
      PNAME);      